{
	"name": "form/nc/nc-define/nc-layout-editor/nc-layout-element/nc-layout-element.json",
	"layout": {
		"component": "nc-form",
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-button",
						"attribute": {
							":disabled": "componentButtonDisabled(\"after\")",
							"class": ["small", "compact"],
							"v-on:click": "addItem(\"after\")"
						},
						"element": [
							{
								"component": "nc-translate",
								"text": "Add",
								"attribute": {
									"model": "hdr.add"
								}
							}
						]
					},
					{
						"component": "nc-button",
						"attribute": {
							":disabled": "componentButtonDisabled(\"delete\")",
							"class": ["small", "compact"],
							"v-on:click": "deleteItem()"
						},
						"element": [
							{
								"component": "nc-translate",
								"text": "Delete",
								"attribute": {
									"model": "hdr.delete"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "div",
						"attribute": {
							":key": "index",
							"class": ["ui", "compact", "menu"],
							"v-for": "(item, index) in elemArrLoop()"
						},
						"element": [
							{
								"component": "div",
								"attribute": {
									"class": ["ui", "small", "vertical", "labeled", "icon", "menu"]
								},
								"element": [
									{
										"component": "a",
										"text": "{{ item.first.content }}",
										"attribute": {
											":class": "{ active: rec.add_element === item.first }",
											"class": ["item"],
											"v-on:click": "rec.add_element = item.first"
										},
										"element": [
											{
												"component": "i",
												"attribute": {
													":key": "icon1",
													"class": ["icon"],
													"v-for": "icon1 in item.first.icon"
												},
												"element": [
													{
														"component": "nc-icon",
														"attribute": {
															":icon": "icon1"
														}
													}
												]
											}
										]
									}
								]
							},
							{
								"component": "div",
								"attribute": {
									"class": ["ui", "small", "vertical", "labeled", "icon", "menu"],
									"v-if": "item.second"
								},
								"element": [
									{
										"component": "a",
										"text": "{{ item.second.content }}",
										"attribute": {
											":class": "{ active: rec.add_element === item.second }",
											"class": ["item"],
											"v-on:click": "rec.add_element = item.second"
										},
										"element": [
											{
												"component": "i",
												"attribute": {
													":key": "icon2",
													"class": ["icon"],
													"v-for": "icon2 in item.second.icon"
												},
												"element": [
													{
														"component": "nc-icon",
														"attribute": {
															":icon": "icon2"
														}
													}
												]
											}
										]
									}
								]
							},
							{
								"component": "div",
								"attribute": {
									"class": ["ui", "small", "vertical", "labeled", "icon", "menu"],
									"v-if": "item.third"
								},
								"element": [
									{
										"component": "a",
										"text": "{{ item.third.content }}",
										"attribute": {
											":class": "{ active: rec.add_element === item.third }",
											"class": ["item"],
											"v-on:click": "rec.add_element = item.third"
										},
										"element": [
											{
												"component": "i",
												"attribute": {
													":key": "icon3",
													"class": ["icon"],
													"v-for": "icon3 in item.third.icon"
												},
												"element": [
													{
														"component": "nc-icon",
														"attribute": {
															":icon": "icon3"
														}
													}
												]
											}
										]
									}
								]
							},
							{
								"component": "div",
								"attribute": {
									"class": ["ui", "small", "vertical", "labeled", "icon", "menu"],
									"v-if": "item.fourth"
								},
								"element": [
									{
										"component": "a",
										"text": "{{ item.fourth.content }}",
										"attribute": {
											":class": "{ active: rec.add_element === item.fourth }",
											"class": ["item"],
											"v-on:click": "rec.add_element = item.fourth"
										},
										"element": [
											{
												"component": "i",
												"attribute": {
													":key": "icon3",
													"class": ["icon"],
													"v-for": "icon3 in item.fourth.icon"
												},
												"element": [
													{
														"component": "nc-icon",
														"attribute": {
															":icon": "icon3"
														}
													}
												]
											}
										]
									}
								]
							}
						]
					}
				]
			}
		]
	}
}
